#include "stm32l1xx.h"
#include "stm32l1xx_gpio.h"

#define LD_PORT GPIOB
#define LD_GREEN GPIO_Pin_7
#define LD_BLUE GPIO_Pin_6

#define GPIO_HIGH(a, b) a -> BSRRL = b
#define GPIO_LOW(a, b) a -> BSRRH = b

void InitPeriph(void);
void Delay(uint32_t step);

int main()
 {
  InitPeriph();
  while(1)
  {
   GPIO_LOW(LD_PORT, LD_BLUE);
   GPIO_HIGH(LD_PORT, LD_GREEN);
   Delay(0x0001FFFF);
   GPIO_LOW(LD_PORT, LD_GREEN);
   GPIO_HIGH(LD_PORT, LD_BLUE);
   Delay(0x0001FFFF);
  }
 }

void InitPeriph(void)
 {
  RCC->AHBENR |= RCC_AHBENR_GPIOBEN;
  GPIOB->MODER |= GPIO_MODER_MODER7_0;
  GPIOB->OTYPER &= ~GPIO_OTYPER_OT_7;
  GPIOB->PUPDR &= ~GPIO_PUPDR_PUPDR7;
  GPIOB->OSPEEDR |= GPIO_OSPEEDER_OSPEEDR7;

  GPIOB->MODER |= GPIO_MODER_MODER6_0;
  GPIOB->OTYPER &= ~GPIO_OTYPER_OT_6;
  GPIOB->PUPDR &= ~GPIO_PUPDR_PUPDR6;
  GPIOB->OSPEEDR |= GPIO_OSPEEDER_OSPEEDR6;
 }

void Delay(uint32_t step)
 {
  while(step>>0)
  {
   --step;
  }
 }